local addonName, addon = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })
addon.L = L

local LOCALE = GetLocale()

if LOCALE:match("^en") then
	-- No need to specify English translations
	-- since you are using the English text as
	-- the table key.
	-- Also no need to check other locales if
	-- this is an English client.
return end

-- German
if LOCALE == "deDE" then
	-- Binding Headers
	L["Raid Targeting Mouseover"] = "Überfall Ziel Mausüber"
	L["World Target / Flares"] = "Welt Ziel / Flare"
	L["Sound"] = "Klingen"
	L["Temporary Mute"] = "Temporäre Stummschaltung"
	L["Toggle Mute"] = "Stummschaltung"
	L["Blue Flare"] = "Blau Flare"
	L["Green Flare"] = "Grüne Flare"
	L["Purple Flare"] = "Lila Flare"
	L["Red Flare"] = "Rot Flare"
	L["Yellow Flare"] = "Gelb Flare"
	L["Clear all World Targets"] = "Löschen aller Welt Ziele"
return end

-- Spanish
if LOCALE == "esES" or LOCALE == "esMX" then
	-- Spanish translations here
end

-- other translations etc.